> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openformat.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate New Webhook Secret

> Create a new webhook secret



## OpenAPI

````yaml post /webhook/secret
openapi: 3.0.0
info:
  version: 0.1.0
  title: Openformat API
servers:
  - url: https://api.openformat.tech/v1
    description: Live server
security:
  - ApiKeyAuth: []
paths:
  /webhook/secret:
    post:
      tags:
        - webhook
        - secret
      description: Create a new webhook secret
      responses:
        '200':
          description: New webhook secret
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - failed
                      - success
                    description: 'Response status: ''sucess'' or ''failed'''
                    example: success
                  webhook_secret:
                    type: string
                    format: uuid
                    description: The webhook secret
                    example: 7be555a9-be3b-4049-9361-664842821721
                required:
                  - status
                  - webhook_secret
        '500':
          description: An error ocurred
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - failed
                    description: Failed reponse status
                    example: failed
                  error:
                    type: string
                    description: Error message
                    example: Database operation failed
                required:
                  - status
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````